GNU logs - #31403, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#31403: Font installed in non-default profile doesn't appear.
Resent-From: George Clemmer <myglc2@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 10 May 2018 15:57:03 +0000
Resent-Message-ID: <handler.31403.B.152596781523427 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 31403
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 31403 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.152596781523427
          (code B ref -1); Thu, 10 May 2018 15:57:03 +0000
Received: (at submit) by debbugs.gnu.org; 10 May 2018 15:56:55 +0000
Received: from localhost ([127.0.0.1]:56669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGnw6-00065n-Q0
	for submit <at> debbugs.gnu.org; Thu, 10 May 2018 11:56:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60077)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <myglc2@HIDDEN>) id 1fGnw5-00065a-BM
 for submit <at> debbugs.gnu.org; Thu, 10 May 2018 11:56:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <myglc2@HIDDEN>) id 1fGnvz-0002ET-Fz
 for submit <at> debbugs.gnu.org; Thu, 10 May 2018 11:56:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45031)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <myglc2@HIDDEN>) id 1fGnvz-0002EN-Ca
 for submit <at> debbugs.gnu.org; Thu, 10 May 2018 11:56:47 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51045)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <myglc2@HIDDEN>) id 1fGnvy-0008BC-84
 for bug-guix@HIDDEN; Thu, 10 May 2018 11:56:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <myglc2@HIDDEN>) id 1fGnvu-0002Cu-2R
 for bug-guix@HIDDEN; Thu, 10 May 2018 11:56:46 -0400
Received: from mail-qt0-x22a.google.com ([2607:f8b0:400d:c0d::22a]:41195)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <myglc2@HIDDEN>) id 1fGnvt-0002Cj-St
 for bug-guix@HIDDEN; Thu, 10 May 2018 11:56:42 -0400
Received: by mail-qt0-x22a.google.com with SMTP id g13-v6so3172702qth.8
 for <bug-guix@HIDDEN>; Thu, 10 May 2018 08:56:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:subject:date:message-id:mime-version;
 bh=NMWMZyFdKcHVs8eLEv/+3SSYyB4sOKYAoZaGKsAUYAs=;
 b=Oy+tUfeZd+dZnQf8mdU8XP0beP6EauPcQkLmrYAKdGQ1x1muYwaq9AuzJVx7fHa1k9
 A536FFrNmUtd2vshqRYz4xk/1HNUIhtUzYqYhdoAFxnCq/AuFhQy0xJvFgzPISdHy323
 RIq2o3cOo9dx06QMDsXBiuwvrYwYr5U+2kK0NvyoiB1w9jLfSpU5ZO1OWk3+t5mg7Kkn
 /Vz/X5kWDWoj2bm1Ix8OXNuXyWsXffKQ1x5LiT/43apEjSn4SvyuZ682DGEIyUa3bLmT
 qAwTriC38eEaihcHW1mQdSXRa6McvvIGlV3ssEvG5p+4ceTkut5LLvBLfqCdqWtk1+K1
 ORUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:subject:date
 :message-id:mime-version;
 bh=NMWMZyFdKcHVs8eLEv/+3SSYyB4sOKYAoZaGKsAUYAs=;
 b=PhbLPlHRXO1KD8/2eSSAgJLQDoXorPbKrCuw5IY6Cr4+3bNphvL55kYO9vWfWpQ8lu
 zWZxqwVyAQkIvTDVBq0CYKGkK0i31rwfhRFP3wFgORKMNzTihECS1ERxkXDYcRmEvwpT
 L7plpnhrPP/L6qZvcWiKujzB9NPfA5OyOw3TfDEgFddKsM8EeDA7VVRSReeyVKaXB9qD
 +mCGgSVI/AWK1hhdCdn/hIlyvfJBUvPTv+sW8OxAxgIptM68dBbgxiBGHPWl275l5r+b
 xHnCQ8B6JFEhDF+TjATDSA90CRwJSjsT3lICMutI+QWZ8ydFb8QMvnmvlhfhxM1DZnby
 uVBA==
X-Gm-Message-State: ALKqPwcBPfQOKB6ukZnowTdHInLMOIsBBHS5oRgkrrBhqWdKRtNyXOD1
 6lufXF8h9XortldSWakS6/pcYg==
X-Google-Smtp-Source: AB8JxZrVMizkjsztXSs1Lo5hy3V69qs0fbIaOdO4dEEcl7eTQwhe06pvFGhoLi3XicaZAD0+t8VesA==
X-Received: by 2002:ac8:23d1:: with SMTP id
 r17-v6mr1937983qtr.369.1525967800588; 
 Thu, 10 May 2018 08:56:40 -0700 (PDT)
Received: from sysi29 (c-73-167-118-254.hsd1.ma.comcast.net. [73.167.118.254])
 by smtp.gmail.com with ESMTPSA id
 v194-v6sm729679qkb.91.2018.05.10.08.56.39 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 10 May 2018 08:56:39 -0700 (PDT)
References: <87bmdp66e8.fsf@HIDDEN> <87po24u405.fsf@HIDDEN>
 <87wowc2zsg.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 25.3.1
From: George Clemmer <myglc2@HIDDEN>
Date: Thu, 10 May 2018 11:56:38 -0400
Message-ID: <87603vy05l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)


George Clemmer <myglc2@HIDDEN> writes:

> Alex Kost <alezost@HIDDEN> writes:
>
>> Hello George,
>>
>> George Clemmer (2018-05-08 20:04 -0400) wrote:
>>
>>> In a "headless" vm-image (sysi29.scm, attached), "font-dejavu" installed
>>> by manifest (attached) into the "empty" default profile ...
>>>
>>> 'guix package -m manifest'
>>>
>>> ... appears in the emacs 'M-x menu-set-font' choice box. But it doesn't
>>> appear with the same manifest installed in the "foo" profile ...
>>
>> To make fonts available from a non-standard profile I added the
>> following line into my "~/config/fontconfig/fonts.conf":
>>
>>   <dir>~/path-to-my-profile/share/fonts</dir>
>
> Thank you Alex!
>
> On the chance it might be useful to someone else, this ...
>
> <?xml version="1.0"?>
> <!DOCTYPE fontconfig SYSTEM "fonts.dtd">
> <!-- /etc/fonts/fonts.conf file to configure system font access -->
> <fontconfig>
> <dir>~/path-to-my-profile/share/fonts</dir>
> </fontconfig>
>
> ... in "~/.config/fontconfig/fonts.conf" worked for me ;-)

Given that this works, ISTM this can be fixed by placing ...

<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<!-- /etc/fonts/fonts.conf file to configure system font access -->
<fontconfig>
<dir>share/fonts</dir>
</fontconfig>

... in "/etc/fonts/fonts.conf".

WDYT? - George




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: George Clemmer <myglc2@HIDDEN>
Subject: bug#31403: Acknowledgement (Font installed in non-default profile
 doesn't appear.)
Message-ID: <handler.31403.B.152596781523427.ack <at> debbugs.gnu.org>
References: <87603vy05l.fsf@HIDDEN>
X-Gnu-PR-Message: ack 31403
X-Gnu-PR-Package: guix
Reply-To: 31403 <at> debbugs.gnu.org
Date: Thu, 10 May 2018 15:57:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 31403 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
31403: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D31403
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#31403: Font installed in non-default profile doesn't appear.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Mon, 05 Oct 2020 05:47:01 +0000
Resent-Message-ID: <handler.31403.B31403.160187681031983 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 31403
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: George Clemmer <myglc2@HIDDEN>
Cc: 31403 <at> debbugs.gnu.org
Received: via spool by 31403-submit <at> debbugs.gnu.org id=B31403.160187681031983
          (code B ref 31403); Mon, 05 Oct 2020 05:47:01 +0000
Received: (at 31403) by debbugs.gnu.org; 5 Oct 2020 05:46:50 +0000
Received: from localhost ([127.0.0.1]:47497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPJKk-0008JZ-Ft
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2020 01:46:50 -0400
Received: from mail-qk1-f178.google.com ([209.85.222.178]:41007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kPJKi-0008Dj-F6
 for 31403 <at> debbugs.gnu.org; Mon, 05 Oct 2020 01:46:49 -0400
Received: by mail-qk1-f178.google.com with SMTP id b69so4122323qkg.8
 for <31403 <at> debbugs.gnu.org>; Sun, 04 Oct 2020 22:46:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=KSTu6ywRZf7ft3rQFR1zTr1N83dl91d/9c5ozwfrS5w=;
 b=qW6CR9Ftu6siwQbeW947BQGVnGGJhRUsXroW/+4OVTkQCp1EDnihgwx8vI/C4tRaHx
 h7ierh6/xyFS3J2Gkcbgx1IN7YeyovpJnkJSn+GoG8o9bWspQUFqUx/cCoO2yCIXHSeQ
 znSDe3x4q1tYcwfjLhDPEKroXyfelBW1iQfCKH8thJ0b5/IbMPtCVuNCDbNlVT1/RBZi
 XIAHcaFW6mo4XLoAS3/VbGjZlI43WxUB4HIkNU0d2rqnkjbuABAtjtnMlD/t7BLzOWOx
 llKM0IdbYlwigy/UZvBycSzRRSYi7OLpQNsYRGQGvpR2b86U1IBHaVLU6YQzlun1GK0n
 kaOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=KSTu6ywRZf7ft3rQFR1zTr1N83dl91d/9c5ozwfrS5w=;
 b=GK5Ic94l+8iIfHUw8EIS7rjchf/pqOiKvrAwpmtBsxqqhbQJxvOVoSxC0mHxDMD4D4
 kynGxVnwOxN8IiAWSnY7EXHpC+36L6/q/aRBFE5jIt7DGcSbjFXGBXoikHvB4w3wUHxL
 uvwenokaa6j1Q4o0NnIhIVosMMMo0KwSs5UAWQ/N4mdmY1a4o5X2eBJZWKrdDSQfEuKz
 +nIIypXbVK27EWJsfKaUYg5TftYKKDTshXtuSbZiF7rBjyR8YtAFcoBthzKabL+89JSN
 MWpAzvqnU2W8F7NL8jfFzGM6o8JDXBl4dpcL9Amat0FUGCOI0IeihlbB/tlg/O1J5qRH
 fmrg==
X-Gm-Message-State: AOAM532EBmc1yH4e1n9KVVFelnKkuohQsAw6j2d+XDm8H0x+3TDAF2b9
 GUzdgAIjRrFMYcJKVL1yLL59mddOhj+zgg==
X-Google-Smtp-Source: ABdhPJwpxFa4X4M2fgf/BA1mL0LWVuf2n6VrdVo1aPgVnZ8wyhRc8z946DHlt64bQonzKlq5U+qCaA==
X-Received: by 2002:a37:52c2:: with SMTP id g185mr3281903qkb.283.1601876802426; 
 Sun, 04 Oct 2020 22:46:42 -0700 (PDT)
Received: from hurd (dsl-156-63.b2b2c.ca. [66.158.156.63])
 by smtp.gmail.com with ESMTPSA id z7sm433083qtd.14.2020.10.04.22.46.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 04 Oct 2020 22:46:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <87bmdp66e8.fsf@HIDDEN> <87po24u405.fsf@HIDDEN>
 <87wowc2zsg.fsf@HIDDEN> <87603vy05l.fsf@HIDDEN>
Date: Mon, 05 Oct 2020 01:46:41 -0400
In-Reply-To: <87603vy05l.fsf@HIDDEN> (George Clemmer's message of "Thu, 10
 May 2018 11:56:38 -0400")
Message-ID: <87mu11jkce.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 31403 22138
thanks

Hello,

George Clemmer <myglc2@HIDDEN> writes:

> George Clemmer <myglc2@HIDDEN> writes:
>
>> Alex Kost <alezost@HIDDEN> writes:
>>
>>> Hello George,
>>>
>>> George Clemmer (2018-05-08 20:04 -0400) wrote:
>>>
>>>> In a "headless" vm-image (sysi29.scm, attached), "font-dejavu" installed
>>>> by manifest (attached) into the "empty" default profile ...
>>>>
>>>> 'guix package -m manifest'
>>>>
>>>> ... appears in the emacs 'M-x menu-set-font' choice box. But it doesn't
>>>> appear with the same manifest installed in the "foo" profile ...

Assuming you run Emacs in that foo profile and don't see the font,
that's probably because XDG_DATA_DIRS is unset in that other profile.
glib is one of the package setting that variable.

I'm merging this bug with 22138, which would fix the root cause.

Thanks,

Maxim




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#31403: Font installed in non-default profile doesn't appear.
Resent-From: Sarah Morgensen <iskarian@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Mon, 13 Sep 2021 02:30:01 +0000
Resent-Message-ID: <handler.31403.B31403.163150017127511 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 31403
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 31403 <at> debbugs.gnu.org
Received: via spool by 31403-submit <at> debbugs.gnu.org id=B31403.163150017127511
          (code B ref 31403); Mon, 13 Sep 2021 02:30:01 +0000
Received: (at 31403) by debbugs.gnu.org; 13 Sep 2021 02:29:31 +0000
Received: from localhost ([127.0.0.1]:43793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPbis-00079f-Qe
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 22:29:30 -0400
Received: from out0.migadu.com ([94.23.1.103]:62102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iskarian@HIDDEN>) id 1mPbir-00079W-B1
 for 31403 <at> debbugs.gnu.org; Sun, 12 Sep 2021 22:29:29 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mgsn.dev; s=key1;
 t=1631500168;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=ZnyJMDlI/+1YH7IdAQgpoyES8d6kvkS7Pg6Rz8fJg/k=;
 b=FY1OSUAdkBuLMNCswAbqmrGa7q81ABKpoyNvmVqX8dWHtk15U580bmPbwNrDWzFg5TeeP0
 OeltDxV+EjayEDdRRtv+SciwJWk06Q8/J4IUb9MaQ1RrlGIAbxj4F3CQr1hq/UB9XBjJG0
 rQJK+8Kvdcwk4gcy+sZmfXz24O3QUuc=
From: Sarah Morgensen <iskarian@HIDDEN>
References: <87bmdp66e8.fsf@HIDDEN> <87po24u405.fsf@HIDDEN>
 <87wowc2zsg.fsf@HIDDEN> <87603vy05l.fsf@HIDDEN>
 <87mu11jkce.fsf@HIDDEN>
Date: Sun, 12 Sep 2021 19:29:26 -0700
In-Reply-To: <87mu11jkce.fsf@HIDDEN> (Maxim Cournoyer's message of "Mon, 05
 Oct 2020 01:46:41 -0400 (48 weeks, 6 days, 20 hours ago)")
Message-ID: <86h7epjji1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: iskarian@HIDDEN
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
>>>> George Clemmer (2018-05-08 20:04 -0400) wrote:
>>>>
>>>>> In a "headless" vm-image (sysi29.scm, attached), "font-dejavu" installed
>>>>> by manifest (attached) into the "empty" default profile ...
>>>>>
>>>>> 'guix package -m manifest'
>>>>>
>>>>> ... appears in the emacs 'M-x menu-set-font' choice box. But it doesn't
>>>>> appear with the same manifest installed in the "foo" profile ...
>
> Assuming you run Emacs in that foo profile and don't see the font,
> that's probably because XDG_DATA_DIRS is unset in that other profile.
> glib is one of the package setting that variable.
>
> I'm merging this bug with 22138, which would fix the root cause.

Will this be fixed by #50358?  If so, could you close this when that is
merged?

Thanks,

--
Sarah





Last modified: Mon, 13 Sep 2021 02:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.